{ lib
,fetchFromGitHub
, rustPlatform
, pkg-config
, gst_all_1
}:

rustPlatform.buildRustPackage rec {
  version = "0.6.2";
  pname = "neolink";

  src = fetchFromGitHub {
    owner = "QuantumEntangledAndy";
    repo = "neolink";
    rev = "v${version}";
    hash = "sha256-O+CbxK0phdRFcPH+ELjxd5Ad5eZWz/FZrmnGvkFv1b8=";
  };

  nativeBuildInputs = [ pkg-config
    gst_all_1.gst-plugins-base
    gst_all_1.gst-plugins-good
    gst_all_1.gst-plugins-bad
    gst_all_1.gst-rtsp-server
  ];
  propagatedBuildInputs = [
    gst_all_1.gst-plugins-base
    gst_all_1.gst-plugins-good
    gst_all_1.gst-plugins-bad
    gst_all_1.gst-rtsp-server
  ];

  cargoSha256 = "sha256-Y82G/gk7VE2q0DZdZoEkDT+Iye/nqixauKir3dW7tCg=";

  meta = with lib; {
    homepage = "https://github.com/QuantumEntangledAndy/neolink";
    description = " An RTSP bridge to Reolink IP cameras ";
    license = lib.licenses.agpl3;
    maintainers = with lib.maintainers; [ fleaz ];
  };
}

